Subject: Re: [PATCH] Do not update sysfs cpu registration from invalid context

From: Michael Ellerman <[email-masked]>
Date: Tue, 25 Jun 2013 11:50:57 +1000

On Mon, Jun 24, 2013 at 09:14:23AM -0500, Nathan Fontenot wrote:
> The topology update code that updates the cpu node registration in sysfs
> should not be called while in stop_machine(). The register/unregister
> calls take a lock and may sleep.
> 
> This patch moves these calls outside of the call to stop_machine().

What happens? Do we lockup or do you just get a warning?

And what commit introduced the breakage?

cheers